(function webpackUniversalModuleDefinition(root, factory) {
	if(typeof exports === 'object' && typeof module === 'object')
		module.exports = factory();
	else if(typeof define === 'function' && define.amd)
		define([], factory);
	else if(typeof exports === 'object')
		exports["ContextServiceGadgetControl"] = factory();
	else
		root["ContextServiceGadgetControl"] = factory();
})(this, function() {
return /******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};

/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {

/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId])
/******/ 			return installedModules[moduleId].exports;

/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			exports: {},
/******/ 			id: moduleId,
/******/ 			loaded: false
/******/ 		};

/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);

/******/ 		// Flag the module as loaded
/******/ 		module.loaded = true;

/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}


/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;

/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;

/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";

/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(0);
/******/ })
/************************************************************************/
/******/ ([
/* 0 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var _constants = __webpack_require__(1);

	function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; } /**
	                                                                                                                                                                                                                   * This file is the primary entry point
	                                                                                                                                                                                                                   */


	function isHubConnected() {
		return window.gadgets && window.gadgets.Hub && window.gadgets.Hub.isConnected();
	}

	function showPodById(podId) {
		if (!isHubConnected()) {
			throw new Error('Gadget hub is not connected');
		}
		if (!podId) {
			throw 'Must provide Pod ID';
		}
		var data = _defineProperty({}, _constants.POD_BY_ID, podId);
		window.gadgets.Hub.publish(_constants.POD_TOPIC, data);
	}

	function showPodByQuery(parameters, operation) {
		if (!isHubConnected()) {
			throw new Error('Gadget hub is not connected');
		}
		if (!parameters) {
			throw 'Must provide query parameters';
		}
		operation = operation || _constants.SEARCH_OPERATIONS.AND; //default to and
		var data = _defineProperty({}, _constants.POD_BY_QUERY, { parameters: parameters, operation: operation });
		window.gadgets.Hub.publish(_constants.POD_TOPIC, data);
	}

	/**
		@exports GadgetControl
	*/
	var GadgetControl = {
		/**
	  * @enum {string}
	  * @default AND
	  * @name SEARCH_OPERATIONS
	  * @description This is an enumerated constant with two possible values: (AND/OR).
	  */
		SEARCH_OPERATIONS: _constants.SEARCH_OPERATIONS,
		/**
	  * @function
	  * @description Publishes message to Open AJAX hub, requesting Context Service Gadget to show a POD with the specified ID.
	  * @param {String} podId ID of the POD. This will be used by Context Service to get and show POD.
	  * @throws Message explaining error.
	  * @static
	  * @returns undefined
	  */
		showPodById: showPodById,
		/**
	  * @function
	  * @description Publishes message to Open AJAX hub, requesting Context Service Gadget to show a POD matching the query.
	  * If more than one pod matches the query, the gadget does not display anything.
	  * @param {object} parameters Query data (key-value pairs) to lookup the POD.
	  * (example: { Context_Home_Phone: '555-555-5555', Context_City: 'Philadelphia' } )
	  * @param {enum} operation One of the enumerated SEARCH_OPERATIONS (AND/OR)
	  * @throws Message explaining error.
	  * @static
	  * @returns undefined
	  */
		showPodByQuery: showPodByQuery
	};

	window.ContextService = window.ContextService || {};
	window.ContextService.GadgetControl = window.ContextService.GadgetControl || GadgetControl;
	module.exports = GadgetControl;

/***/ },
/* 1 */
/***/ function(module, exports) {

	'use strict';

	Object.defineProperty(exports, "__esModule", {
		value: true
	});
	var POD_TOPIC = exports.POD_TOPIC = 'finesse.contextservicegadgetcontrol';
	var POD_BY_ID = exports.POD_BY_ID = 'showPodByID';
	var POD_BY_QUERY = exports.POD_BY_QUERY = 'showPodByQuery';
	var SEARCH_OPERATIONS = exports.SEARCH_OPERATIONS = {
		AND: 'AND',
		OR: 'OR'
	};

/***/ }
/******/ ])
});
;